Bug 232136 - [keyboard][quirk][patch] Logitech G510s keyboard requires a quirk
Summary: [keyboard][quirk][patch] Logitech G510s keyboard requires a quirk
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-usb mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-10-09 23:14 UTC by dgilbert
Modified: 2019-04-25 00:56 UTC (History)
1 user (show)

See Also:


Attachments
patch against CURRENT (ALPHA8) sources. (1.19 KB, patch)
2018-10-09 23:14 UTC, dgilbert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dgilbert 2018-10-09 23:14:43 UTC
Created attachment 197986 [details]
patch against CURRENT (ALPHA8) sources.

The Logitech G510s keyboard requires a quirk to work on FreeBSD.  Pretty simple patch.  Can probably be backported to 11-STABLE and 10-STABLE.

There has been some discussion of supporting more complex keyboards.  I don't know what's come of that, but I'd like to keep one keyboard on my workstation.
Comment 1 commit-hook freebsd_committer 2019-01-20 20:30:10 UTC
A commit references this bug:

Author: gonzo
Date: Sun Jan 20 20:29:27 UTC 2019
New revision: 343224
URL: https://svnweb.freebsd.org/changeset/base/343224

Log:
  Add KBD_BOOTPROTO quirk for Logitech G510s USB keyboard

  PR:		232136
  Submitted by:	dgilbert@eicat.ca
  MFC after:	1 week

Changes:
  head/sys/dev/usb/quirk/usb_quirk.c
  head/sys/dev/usb/usbdevs
Comment 2 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-20 20:33:34 UTC
Committed to HEAD, will be merged to current production releases. Thanks for submitting the patch.
Comment 3 commit-hook freebsd_committer 2019-02-04 10:19:58 UTC
A commit references this bug:

Author: gonzo
Date: Mon Feb  4 10:19:27 UTC 2019
New revision: 343737
URL: https://svnweb.freebsd.org/changeset/base/343737

Log:
  MFC r343224, r343533

  r343224:
  Add KBD_BOOTPROTO quirk for Logitech G510s USB keyboard

  PR:		232136
  Submitted by:	dgilbert@eicat.ca

  r343533:
  [usb] Add UQ_KBD_BOOTPROTO quirk for Corsair K68 keyboard

  PR:		222114
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>

Changes:
_U  stable/12/
  stable/12/sys/dev/usb/quirk/usb_quirk.c
  stable/12/sys/dev/usb/usbdevs
Comment 4 commit-hook freebsd_committer 2019-04-25 00:56:21 UTC
A commit references this bug:

Author: gonzo
Date: Thu Apr 25 00:56:12 UTC 2019
New revision: 346655
URL: https://svnweb.freebsd.org/changeset/base/346655

Log:
  MFC r343224, r343533

  r343224:
  Add KBD_BOOTPROTO quirk for Logitech G510s USB keyboard

  PR:		232136
  Submitted by:	dgilbert@eicat.ca

  r343533:
  [usb] Add UQ_KBD_BOOTPROTO quirk for Corsair K68 keyboard

  PR:		222114
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>

Changes:
_U  stable/11/
  stable/11/sys/dev/usb/quirk/usb_quirk.c
  stable/11/sys/dev/usb/usbdevs